<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    android:background="@drawable/common_dialog_bg">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:id="@+id/tv_dialog_title"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:maxLines="1"
        android:gravity="center"
        android:textColor="@color/text_color_black"
        android:textSize="@dimen/sp_14"/>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/grey_f2"/>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/fl_dialog_content"
        android:minHeight="100dp">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/tv_dialog_msg"
            android:layout_gravity="center"
            android:textColor="@color/text_color_black"
            android:textSize="16sp"/>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:layout_gravity="center"
            android:id="@+id/fl_dialog_content_custom"/>
    </FrameLayout>

    <LinearLayout
        android:layout_margin="20dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btn_dialog_confirm"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_weight="1"
            android:background="@drawable/blue_2_bg"
            android:text="确认"
            android:textColor="@color/white"
            android:textSize="18sp" />

        <Button
            android:id="@+id/btn_dialog_cancel"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_marginLeft="20dp"
            android:layout_weight="1"
            android:background="@drawable/blue_2_bg"
            android:text="取消"
            android:textColor="@color/white"
            android:textSize="18sp" />
    </LinearLayout>
</LinearLayout>